#include "konasearch.h"

#include <stdio.h>

/*** GLIB object start ***/

struct _KonaSearch {
    GObject parent_instance; // struct of parent (inherit)
};

G_DEFINE_TYPE(KonaSearch, kona_search, G_TYPE_OBJECT)

static void kona_search_class_init(KonaSearchClass *klass) {
    GObjectClass *object_class = G_OBJECT_CLASS(klass);

    //object_class->set_property = kona_image_set_property;
    //object_class->get_property = kona_image_get_property;
    object_class->dispose = kona_search_dispose;
    object_class->finalize = kona_search_finalize;
}

static void kona_search_init (KonaSearch *self) {
    printf("kona_search_init\n");
}

static void kona_search_dispose(GObject *self) {
    G_OBJECT_CLASS (kona_search_parent_class)->dispose((GObject*) self);
}

static void kona_search_finalize(GObject *self) {
    G_OBJECT_CLASS (kona_search_parent_class)->finalize ((GObject*) self);
}

KonaSearch *kona_search_new()
{
    return g_object_new(KONA_TYPE_SEARCH, 0);
}

/*** GLIB object end ***/
